Subject: Re: bad TSO performance in 2.6.9-rc2-BK

From: Nivedita Singhvi <[email-masked]>
Date: Mon, 20 Sep 2004 08:54:18 -0700

Anton Blanchard wrote:
> Hi,
> 
> I just tried latest 2.6.9-rc2-BK on a machine with an e1000 on it. With
> TSO off it does about 100MB/sec. With TSO on it does between 1MB/sec and
> 10MB/sec.

Hey Anton,  yep, I was just debugging this. TSO mainline reworked
implementation is still not cooked. Don't worry, final state won't
be this bad :).

Could you echo 0 > /proc/sys/net/ipv4/tcp_bic and redo test,
please?